# Kitten Tricks [<img src="https://i.imgur.com/oMcxwZ0.png" alt="Eva Design System" height="20px" />][link:eva] [![Build Status][badge:travis]][link:travis]

This perfect starter kit is an app based on React Native and [**UI Kitten library**][link:ui-kitten] with Light and Dark themes support. It’s completely free and Open Source. 
Compose the application from available screens, add backend integration and you will end up with A-grade cross-platform mobile application.
The themes can be changed in the runtime, without any need of reloading the application.

Download a live Demo published on both [App Store][link:app-store] and [Google Play][link:google-play]
 or simply run it yourself by cloning a GitHub repo. 

![Preview](https://i.imgur.com/2E2nWHc.jpg)

[<img src="http://i.imgur.com/7IxtMV0.png" width="200"/>][link:app-store]
[<img src="http://i.imgur.com/pxFfB0S.png" width="200"/>][link:google-play]

## Key features:
 
- Built with **TypeScript**.
- **Dark and Light themes** could be used simultaneously and changed on the fly. 
- **40 ready-to-use stunning screens** – for any domain: e-commerce, social, fitness, etc. 
- **Huge variety of customizable layouts**, use “as is” or add new blocks from the UI Kit.
- **Integration with Eva Design System** allows you to create mobile application staying in brand style and get clean, consistency design

## Documentation:

This template is using [UI Kitten components][link:ui-kitten], [here you can find documentation and other useful articles][link:doc-ui-kitten].

## How can I support the developers?

- Star our GitHub repo :star:
- Create pull requests, submit bugs, suggest new features or documentation updates :wrench:
- Read us on [Medium][link:akveo-medium]
- Follow us on [Twitter][link:akveo-twitter] :feet:
- Like our page on [Facebook][link:akveo-facebook] :thumbsup:

## License

[MIT](LICENSE.txt) license.

## More from Akveo

- [Eva Icons][link:eva-icons] - 480+ beautiful Open Source icons

## From Developers

Made with :heart: by [Akveo team][link:akveo-homepage]. Follow us on [Twitter][link:akveo-twitter] to get the latest news first!
We're always happy to receive your feedback!

[badge:travis]: https://travis-ci.com/akveo/kittenTricks.svg?branch=master

[link:travis]: https://travis-ci.com/akveo/kittenTricks
[link:eva]: https://eva.design
[link:doc-ui-kitten]: https://akveo.github.io/react-native-ui-kitten
[link:ui-kitten]: https://github.com/akveo/react-native-ui-kitten
[link:app-store]: https://itunes.apple.com/us/app/kitten-tricks/id1246143230
[link:google-play]: https://play.google.com/store/apps/details?id=com.akveo.kittenTricks
[link:eva-icons]: https://github.com/akveo/eva-icons
[link:akveo-homepage]: https://akveo.com
[link:akveo-medium]: https://medium.com/akveo-engineering
[link:akveo-twitter]: https://twitter.com/akveo_inc
[link:akveo-facebook]: https://www.facebook.com/akveo
